package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchManage;

/**
 * 支部党课学习资料管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-14
 */
public interface TBranchManageMapper 
{
    /**
     * 查询支部党课学习资料管理
     * 
     * @param manageId 支部党课学习资料管理主键
     * @return 支部党课学习资料管理
     */
    public TBranchManage selectTBranchManageByManageId(Long manageId);

    /**
     * 查询支部党课学习资料管理列表
     * 
     * @param tBranchManage 支部党课学习资料管理
     * @return 支部党课学习资料管理集合
     */
    public List<TBranchManage> selectTBranchManageList(TBranchManage tBranchManage);

    /**
     * 新增支部党课学习资料管理
     * 
     * @param tBranchManage 支部党课学习资料管理
     * @return 结果
     */
    public int insertTBranchManage(TBranchManage tBranchManage);

    /**
     * 修改支部党课学习资料管理
     * 
     * @param tBranchManage 支部党课学习资料管理
     * @return 结果
     */
    public int updateTBranchManage(TBranchManage tBranchManage);

    /**
     * 删除支部党课学习资料管理
     * 
     * @param manageId 支部党课学习资料管理主键
     * @return 结果
     */
    public int deleteTBranchManageByManageId(Long manageId);

    /**
     * 批量删除支部党课学习资料管理
     * 
     * @param manageIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchManageByManageIds(Long[] manageIds);
}
