import request from '@/utils/request'

// 查询年度数据归档列表
export function listHis(query) {
  return request({
    url: '/branch/his/list',
    method: 'get',
    params: query
  })
}

// 查询年度数据归档详细
export function getHis(memHisId) {
  return request({
    url: '/branch/his/' + memHisId,
    method: 'get'
  })
}

// 新增年度数据归档
export function addHis(data) {
  return request({
    url: '/branch/his',
    method: 'post',
    data: data
  })
}

// 修改年度数据归档
export function updateHis(data) {
  return request({
    url: '/branch/his',
    method: 'put',
    data: data
  })
}

// 删除年度数据归档
export function delHis(memHisId) {
  return request({
    url: '/branch/his/' + memHisId,
    method: 'delete'
  })
}
